Use estimated metadata for PostGIS layers

2010-02-21 05:30 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12520

Description

[[PostGIS]] layers with millions of features take quite some time to be added to the map canvas because of table feature counts, layer

extents and geometry type determination.

Attached is a patch that adds an option to speed up the following [[PostGIS]] layer operations:

    -  The row count is determined from table statistics obtained from running the [[PostgreSQL]] table analyse function.

    -  Table extents are always determined with the estimated_extent [[PostGIS]] function, even if a layer filter is applied.

    -  If the table geometry type is unknown and is not exclusively taken from the geometry_columns table, then it is determined from the

first 100 non-null geometry rows in the table. This applies to both the [[PostGIS]] Provider and the Add [[PostGIS]] Layers dialog.

This patch potential resolves the following tickets: #2394, #581

History

#1 - 2010-03-10 04:01 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

slightly modified applied in commit:4852ceb1 (SVN r13045).  Thanks Jeremy.

#2 - 2010-04-01 07:11 AM - Jürgen Fischer

take 2 on commit:b4010ce2 (SVN r13222).

Files

postgis_use_estimated_metadata.diff 17 KB 2010-03-08 Jeremy Palmer
